function init()
	gun.name = "ExplosionBomb"
	gun.fireDelay = 1000
	gun.shotrange = 200
	gun.shotspeed = 550
	gun.shotknockback = 10000
	gun.piercing = 1--penentrates shields and damage buffers
	
	return 0
end


function update()
	return 0
end


function fire()
	--fire a circle of shots
	rad = 10				--the radius in number of shots
	spread = 180			--the radius in degrees, centered on theta
	for i = -rad, rad do
		gun.addShot("explode5.png", gun.firex, gun.firey, gun.firetheta)
		shot.damage = 10
		shot.ignorePhysics = 1	--so all explosion pieces don't get sucked into dodongo
		shot.movrot = i*(spread/rad)
		shot.scale = 1 + math.random()*2
		shot.durable = 1
		shot.clearIgnoreList()
	end

	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end